man(1)

NAME
NekMesh - generates, converts and manipulates high-order meshes

SYNOPSIS
NekMesh [option(s)] input output

DESCRIPTION
NekMesh is a high-order finite element mesh generator and general pre-processing mesh utility, that can be used to either generate meshes directly from an underlying CAD representation of a geometry, or alternatively to import and process linear meshes from a range of other mesh generation tools to make them suitable for high-order simulations. NekMesh is designed around the concept of modules that run sequentially in a pipeline. Input modules read either a file from an external mesh generation utility, or a NekMesh .mcf mesh configuration file which can be used to read CAD geometry. The input module is selected based on the input filename. Optionally, one or more processing modules can be used to modify the mesh in some way, for e.g. the creation of boundary layers or the optimisation of the input mesh. Finally, a output module is used to write out the resulting mesh, depending on the extension of the filename. All modules typically support a number of options that can be defined on the command line.

OPTIONS

-h [ --help ]
    Prints a help message and program synopsys.

-l [ --modules-list ]
    Prints a list of all input, processing and output modules that can be used within NekMesh.

-p [ --modules-opt ] module
    Prints the list of options for a given module.

-m [ --module ] module
    Specifies a module to be used. Modules are run in the order that they are defined in the command line options.

-v [ --verbose ]
    Print additional debugging and mesh generation information to screen.

BUGS
No known bugs.

EXAMPLE
As an example, in the simplest case NekMesh can be used to simply convert files between one format and another; for example reading a Gmsh file and writing a Nektar++ format file can be achieved with the command
    NekMesh input.msh output.xml
As a more complex example, the command below:
    NekMesh -m varopti:hyperelastic:nq=4 -m jac:list input.gmsh:msh output.xml:xml:uncompress
runs the following pipeline:

    —   Load the input.gmsh file as a Gmsh module;

    —   Run the varopti module with the boolean option 'hyperelastic' and setting the quadrature order to 4;

    —   List any elements that have negative Jacobian with the jac module;

    —   Finally output the mesh as a Nektar++ XML file in an uncompressed form.
For a list of modules and their options, the -l and -p options can be used respectively. More advanced usage of NekMesh can be found in the accompanying user guide.

AUTHOR
David Moxey (d.moxey@exeter.ac.uk)